package cn.iocoder.yudao.module.order.dal.dataobject.batchOrderFeeApply;

import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 批量费用申请 DO
 *
 * @author 系统管理员
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_batch_order_fee_apply")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class BatchOrderFeeApplyDO extends BaseDO {

    /**
     * 主键
     */
    @TableId
    private Long id;
    /**
     * 编号
     */
    private String no;
    /**
     * 申请详情
     */
    private String details;
    /**
     * 原因
     */
    private String reason;
    /**
     * 状态：1 申请中 2 已通过 3 已驳回 4 已取消
     */
    private Integer state;
    /**
     * 流程表单实例ID
     */
    private String formId;
    /**
     * 审核人
     */
    private String audit;
    /**
     * 审核时间
     */
    private Date auditTime;

}
