package cn.iocoder.yudao.module.order.vo.orderException;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 订单异常描述-中英文
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class OrderExceptionDescVO {

    @ApiModelProperty(value = "描述中文")
    private String descZh;

    @ApiModelProperty(value = "描述英文")
    private String descEn;

    @ApiModelProperty(value = "描述法文")
    private String descFr;
}
